pipeline {
    agent any

    stages {
        stage('Checkout') {
            steps {
                // 从版本控制系统中检出代码
                checkout scm
            }
        }

        stage('Install Dependencies') {
            steps {
                // 安装项目依赖
                sh 'npm install'
            }
        }

        stage('Build') {
            steps {
                // 构建Vue项目
                sh 'npm run build'
            }
        }

        stage('Publish Locally') {
            steps {
                // 将构建结果复制到本地目录（可自定义目录）
                sh 'cp -r dist /home/medic'
                // 解压dist.zip到指定目录
                sh 'unzip /home/medic/dist.zip -d /home/medic/dist'
            }
        }
    }

    post {
        always {
            // 清理工作空间
            cleanWs()
        }
    }
}
